﻿namespace UltraTabControlImagesInTab
{
    using System.Drawing;
    using Infragistics.Win;
    using Infragistics.Win.UltraWinTabs;

    internal class CF : IUIElementCreationFilter
    {
        private Image tabImage;

        public CF(Image tabImage)
        {
            this.tabImage = tabImage;
        }

        public void AfterCreateChildElements(UIElement parent)
        {
            //  If the parent is TabItemUIElement add one ImageElement to its child collection
            if(parent is TabItemUIElement)
            {
                //  Create the ImageUIElement
                var imageElement = new ImageUIElement(parent, tabImage);

                //  Set the ImageUIElement Rect relative to its parent Rect
                imageElement.Rect = new Rectangle(parent.Rect.Right - 19, parent.Rect.Top + 3, 16, 16);

                //  Add the ImageUIElement to its parent child elements collection
                parent.ChildElements.Add(imageElement);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
